=== modified file 'drizzled/statement.h'
--- drizzled/statement.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement.h	2011-02-08 08:29:55 +0000
@@ -61,7 +61,7 @@
      This should go away when DDL commands are within transactions. */
   virtual bool isTransactional()
   {
-    return true;
+    return false;
   }
 
   Session *getSession()

=== modified file 'drizzled/statement/alter_schema.h'
--- drizzled/statement/alter_schema.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/alter_schema.h	2011-02-08 08:29:55 +0000
@@ -40,10 +40,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/alter_table.h'
--- drizzled/statement/alter_table.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/alter_table.h	2011-02-08 08:29:55 +0000
@@ -47,10 +47,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/analyze.h'
--- drizzled/statement/analyze.h	2011-01-25 00:17:00 +0000
+++ drizzled/statement/analyze.h	2011-02-08 08:29:55 +0000
@@ -40,6 +40,7 @@
   }
 
   bool execute();
+
   HA_CHECK_OPT check_opt;			// check/repair options
 };
 

=== modified file 'drizzled/statement/change_schema.h'
--- drizzled/statement/change_schema.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/change_schema.h	2011-02-08 08:29:55 +0000
@@ -40,10 +40,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/commit.h'
--- drizzled/statement/commit.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/commit.h	2011-02-08 08:29:55 +0000
@@ -42,10 +42,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 
   /* Was the CHAIN option using in COMMIT/ROLLBACK? */
   bool tx_chain;

=== modified file 'drizzled/statement/create_index.h'
--- drizzled/statement/create_index.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/create_index.h	2011-02-08 08:29:55 +0000
@@ -36,10 +36,6 @@
   CreateIndex(Session *in_session, const drizzled::ha_build_method);
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/create_schema.h'
--- drizzled/statement/create_schema.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/create_schema.h	2011-02-08 08:29:55 +0000
@@ -45,10 +45,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
   bool is_if_not_exists;
   message::Schema schema_message;
 

=== modified file 'drizzled/statement/create_table.h'
--- drizzled/statement/create_table.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/create_table.h	2011-02-08 08:29:55 +0000
@@ -45,10 +45,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 
   virtual bool executeInner(identifier::Table::const_reference);
 

=== modified file 'drizzled/statement/delete.h'
--- drizzled/statement/delete.h	2011-01-25 00:51:34 +0000
+++ drizzled/statement/delete.h	2011-02-08 08:29:55 +0000
@@ -40,6 +40,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/drop_index.h'
--- drizzled/statement/drop_index.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/drop_index.h	2011-02-08 08:29:55 +0000
@@ -40,10 +40,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
   message::Table create_table_proto;
   AlterInfo alter_info;
 };

=== modified file 'drizzled/statement/drop_schema.h'
--- drizzled/statement/drop_schema.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/drop_schema.h	2011-02-08 08:29:55 +0000
@@ -40,10 +40,7 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
+
   /* True if "IF EXISTS" */
   bool drop_if_exists;
 };

=== modified file 'drizzled/statement/drop_table.h'
--- drizzled/statement/drop_table.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/drop_table.h	2011-02-08 08:29:55 +0000
@@ -40,10 +40,7 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
+
   /* True if "IF EXISTS" */
   bool drop_if_exists;
 

=== modified file 'drizzled/statement/insert.h'
--- drizzled/statement/insert.h	2011-01-25 00:51:34 +0000
+++ drizzled/statement/insert.h	2011-02-08 08:29:55 +0000
@@ -40,6 +40,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/insert_select.h'
--- drizzled/statement/insert_select.h	2011-01-25 00:17:00 +0000
+++ drizzled/statement/insert_select.h	2011-02-08 08:29:55 +0000
@@ -40,6 +40,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/load.h'
--- drizzled/statement/load.h	2011-01-25 00:51:34 +0000
+++ drizzled/statement/load.h	2011-02-08 08:29:55 +0000
@@ -40,6 +40,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 
   /*
     Pointers to part of LOAD DATA statement that should be rewritten

=== modified file 'drizzled/statement/release_savepoint.h'
--- drizzled/statement/release_savepoint.h	2011-01-25 01:07:38 +0000
+++ drizzled/statement/release_savepoint.h	2011-02-08 08:29:55 +0000
@@ -39,6 +39,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/rename_table.h'
--- drizzled/statement/rename_table.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/rename_table.h	2011-02-08 08:29:55 +0000
@@ -41,10 +41,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 
 private:
 

=== modified file 'drizzled/statement/replace.h'
--- drizzled/statement/replace.h	2011-01-25 00:51:34 +0000
+++ drizzled/statement/replace.h	2011-02-08 08:29:55 +0000
@@ -40,6 +40,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/replace_select.h'
--- drizzled/statement/replace_select.h	2011-01-25 00:17:00 +0000
+++ drizzled/statement/replace_select.h	2011-02-08 08:29:55 +0000
@@ -40,6 +40,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/rollback.h'
--- drizzled/statement/rollback.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/rollback.h	2011-02-08 08:29:55 +0000
@@ -36,10 +36,6 @@
   Rollback(Session *in_session, bool tx_chain_arg, bool tx_release_arg);
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 
   /* Was the CHAIN option using in COMMIT/ROLLBACK? */
   bool tx_chain;

=== modified file 'drizzled/statement/rollback_to_savepoint.h'
--- drizzled/statement/rollback_to_savepoint.h	2011-01-25 01:07:38 +0000
+++ drizzled/statement/rollback_to_savepoint.h	2011-02-08 08:29:55 +0000
@@ -41,6 +41,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/savepoint.h'
--- drizzled/statement/savepoint.h	2011-01-25 01:07:38 +0000
+++ drizzled/statement/savepoint.h	2011-02-08 08:29:55 +0000
@@ -41,6 +41,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/select.h'
--- drizzled/statement/select.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/select.h	2011-02-08 08:29:55 +0000
@@ -36,11 +36,6 @@
   Select(Session *in_session);
 
   bool execute();
-  bool isTransactional()
-  {
-    return false; /* It only MAY be transactonal, we start an autocommit=off
-                     transaction later, once we determine if it has tables */
-  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/set_option.h'
--- drizzled/statement/set_option.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/set_option.h	2011-02-08 08:29:55 +0000
@@ -36,10 +36,6 @@
   SetOption(Session *in_session);
 
   bool execute();
-  virtual bool isTransactional()
-  {
-    return false;
-  }
   bool one_shot_set;
 };
 

=== modified file 'drizzled/statement/show.h'
--- drizzled/statement/show.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/show.h	2011-02-08 08:29:55 +0000
@@ -72,10 +72,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 
   bool isShow() { return true; }
 };

=== modified file 'drizzled/statement/show_errors.h'
--- drizzled/statement/show_errors.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/show_errors.h	2011-02-08 08:29:55 +0000
@@ -40,10 +40,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 };
 
 } /* end namespace statement */

=== modified file 'drizzled/statement/show_warnings.h'
--- drizzled/statement/show_warnings.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/show_warnings.h	2011-02-08 08:29:55 +0000
@@ -41,10 +41,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/truncate.h'
--- drizzled/statement/truncate.h	2011-02-07 08:29:23 +0000
+++ drizzled/statement/truncate.h	2011-02-08 08:29:55 +0000
@@ -42,10 +42,6 @@
   }
 
   bool execute();
-  bool isTransactional()
-  {
-    return false;
-  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/unlock_tables.h'
--- drizzled/statement/unlock_tables.h	2011-01-25 00:17:00 +0000
+++ drizzled/statement/unlock_tables.h	2011-02-08 08:29:55 +0000
@@ -42,6 +42,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

=== modified file 'drizzled/statement/update.h'
--- drizzled/statement/update.h	2011-01-25 00:51:34 +0000
+++ drizzled/statement/update.h	2011-02-08 08:29:55 +0000
@@ -40,6 +40,10 @@
   }
 
   bool execute();
+  bool isTransactional()
+  {
+    return true;
+  }
 };
 
 } /* namespace statement */

